Use this API to return the full Group object, including its assigned Policy and its full list of member users and admins.
Resource URL
https://<subdomain>.onelogin.com/api/2/groups/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameters
id required integer | Set to the |
Sample Responses
- 200 OK
- 401 Unauthorized
- 404 Not Found
{
"id": 123,
"name": "Sample Group",
"policy": {
"id": 7765,
"name": "Sample Policy"
},
"admins": [
{
"id": 45,
"email": "admin@example.com",
"first_name": "Ada",
"last_name": "Admin"
}
],
"users": [
{
"id": 101,
"email": "user@example.com",
"first_name": "Sam",
"last_name": "User"
}
]
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}The requested Group does not exist.
{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
- Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Get Group
curl 'https://<subdomain>.onelogin.com/api/2/groups/:id' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.